Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class PortalAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.PortalAction

    public class PortalAction

extends java.lang.Object

Version:
  $Revision: 8785 $
Author:
  Boleslaw Dawidowicz, Julien Viet

Constructor Summary
`PortalAction()`

Method Summary
`void` | `addPortal()`
`java.lang.String` | `getDefaultObjectName()`
`java.lang.String` | `getPortalName()`
`PortalObjectManagerBean` | `getPortalObjectManager()`
`void` | `setDefaultObjectName(java.lang.String defaultObjectName)`
`void` | `setPortalName(java.lang.String portalName)`
`void` | `setPortalObjectManager(PortalObjectManagerBean portalObjectManager)`
`void` | `validatePortalName(javax.faces.context.FacesContext context, javax.faces.component.UIComponent toValidate, java.lang.Object value)` Checks for duplicate portal names on the portal instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalAction

    public PortalAction()

Method Detail

### getPortalObjectManager

    public PortalObjectManagerBean getPortalObjectManager()

### setPortalObjectManager

    public void setPortalObjectManager(PortalObjectManagerBean portalObjectManager)

### getPortalName

    public java.lang.String getPortalName()

### setPortalName

    public void setPortalName(java.lang.String portalName)

### getDefaultObjectName

    public java.lang.String getDefaultObjectName()

### setDefaultObjectName

    public void setDefaultObjectName(java.lang.String defaultObjectName)

### validatePortalName

    public void validatePortalName(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent toValidate,
                                   java.lang.Object value)

  Checks for duplicate portal names on the portal instance. Blank page names are not allowed and are controlled by the required attribute in the presentation page.

  Parameters:
    `context` -
    `toValidate` -
    `value` -

### addPortal

    public void addPortal()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD